--[[----------------------------------------------------------------------------

Copyright 2010 John R. Ellis.

------------------------------------------------------------------------------]]

return {
    LrSdkVersion = 5.0,
    LrSdkMinimumVersion = 5.0, 
    LrToolkitIdentifier = "com.johnrellis.anytag",
    LrPluginName = "Any Tag",
    LrPluginInfoUrl = "http://www.johnrellis.com/lightroom/anytag.htm",
    LrPluginInfoProvider = "PluginInfoProvider.lua",
    LrMetadataProvider = "MetadataDefinition.lua",
    LrInitPlugin = "InitPlugin.lua",
    LrShutdownPlugin = "ShutdownPlugin.lua",
    LrLibraryMenuItems = {
        {title = "Filter by &Keyword", file = "ByKeyword.lua"},
        {title = "&Notes", file = "Notes.lua"},
        {title = "&Tag", file = "Tag.lua"},
        {title = "Find &Uncommitted Locations", 
         file = "FindUncommittedLocations.lua"},
        {title = "&Commit Locations", file = "CommitLocations.lua",
         enabledWhen = "anythingSelected"},
        {title = "Export Keywords", file = "ExportKeywords.lua"},
        {title = "Import Keywords", file = "ImportKeywords.lua"}},
    LrExportMenuItems = {
        {title = "Filter by &Keyword", file = "ByKeyword.lua"},
        {title = "&Notes", file = "Notes.lua"},
        {title = "&Tag", file = "Tag.lua"},
        {title = "Find &Uncommitted Locations", 
         file = "FindUncommittedLocations.lua"},
        {title = "&Commit Locations", file = "CommitLocations.lua",
         enabledWhen = "anythingSelected"},
        {title = "Export Keywords", file = "ExportKeywords.lua"},
        {title = "Import Keywords", file = "ImportKeywords.lua"}},
    VERSION = {major = 1, minor = 17, revision = 0, build = 0}}
    
    